Ensure ThinLVM LV is active when cloning or creating from snapshot

Bug #1252423 reported by Eric Harney on 2013-11-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Medium
Eric Harney
Havana
Medium
Eric Harney

Bug Description

Thin-provisioned LVs may not be activated automatically in all cases. (RHEL 6.5 does not activate them automatically by default.)

This causes the volume clone from snapshot dd operation to fail, as the source device does not exist in /dev/mapper/. We should ensure the LV is active before attempting to clone to a new volume.

Eric Harney (eharney) on 2013-11-18
Changed in cinder:
assignee: nobody → Eric Harney (eharney)

Fix proposed to branch: master
Review: https://review.openstack.org/57015

Changed in cinder:
status: New → In Progress

Reviewed: https://review.openstack.org/57015
Committed: http://github.com/openstack/cinder/commit/b9ff8cd7ad8c402787324d2baca9b32f61eafb4a
Submitter: Jenkins
Branch: master

commit b9ff8cd7ad8c402787324d2baca9b32f61eafb4a
Author: Eric Harney <email address hidden>
Date: Mon Nov 18 13:42:37 2013 -0500

    LVM: Activate source LV before cloning from it

    LVM may be configured to not automatically activate
    thin-provisioned LVs.

    Ensure they are activated when performing a clone, otherwise
    dd will fail as the device does not exist in /dev/mapper/.

    Closes-Bug: #1252423

    Change-Id: Ibcb946ffe7804b1976bf1b1863c48340c8cc7fd5

Changed in cinder:
status: In Progress → Fix Committed
Eric Harney (eharney) on 2013-12-03
tags: added: havana-backport-potential
tags: added: grizzly-backport-potential
Thierry Carrez (ttx) on 2013-12-04
Changed in cinder:
milestone: none → icehouse-1
status: Fix Committed → Fix Released
Eric Harney (eharney) on 2013-12-04
tags: removed: havana-backport-potential
Alan Pevec (apevec) on 2013-12-07
Changed in cinder:
importance: Undecided → Medium

Reviewed: https://review.openstack.org/60003
Committed: http://github.com/openstack/cinder/commit/9e2ba7b5274c07cba5275d9d65ed8c73810f21f8
Submitter: Jenkins
Branch: stable/havana

commit 9e2ba7b5274c07cba5275d9d65ed8c73810f21f8
Author: Eric Harney <email address hidden>
Date: Mon Nov 18 13:42:37 2013 -0500

    LVM: Activate source LV before cloning from it

    LVM may be configured to not automatically activate
    thin-provisioned LVs.

    Ensure they are activated when performing a clone, otherwise
    dd will fail as the device does not exist in /dev/mapper/.

    Closes-Bug: #1252423

    Change-Id: Ibcb946ffe7804b1976bf1b1863c48340c8cc7fd5
    (cherry picked from commit b9ff8cd7ad8c402787324d2baca9b32f61eafb4a)

Eric Harney (eharney) on 2013-12-13
summary: - Ensure ThinLVM LV is active when cloning
+ Ensure ThinLVM LV is active when cloning from snapshot
summary: - Ensure ThinLVM LV is active when cloning from snapshot
+ Ensure ThinLVM LV is active when cloning or snapshotting
summary: - Ensure ThinLVM LV is active when cloning or snapshotting
+ Ensure ThinLVM LV is active when cloning or creating from snapshot

Reviewed: https://review.openstack.org/62035
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=673057320929d33095c998d477c2537567ccf74b
Submitter: Jenkins
Branch: master

commit 673057320929d33095c998d477c2537567ccf74b
Author: Eric Harney <email address hidden>
Date: Fri Dec 13 11:18:56 2013 -0500

    LVM: Activate source snap LV when cloning from volume

    Similar to the change made in:
    01a2199 LVM: Activate source LV before cloning from it

    Previous change only fixed this issue for clone-from-snapshot.

    This activates the source snapshot LV when cloning from volume
    as well, fixing the problem where cloning fails due to inability
    to open the source LV device.

    Change-Id: If48be8516fd71738cb83a91683c33d02f227b9d6
    Related-Bug: 1252423
    Closes-Bug: 1260786

Alan Pevec (apevec) on 2014-03-31
tags: removed: grizzly-backport-potential
Thierry Carrez (ttx) on 2014-04-17
Changed in cinder:
milestone: icehouse-1 → 2014.1

Reviewed: https://review.openstack.org/70056
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=797bbe29abd9095b752fb2bb31cb76454b02ff97
Submitter: Jenkins
Branch: stable/havana

commit 797bbe29abd9095b752fb2bb31cb76454b02ff97
Author: Eric Harney <email address hidden>
Date: Fri Dec 13 11:18:56 2013 -0500

    LVM: Activate source snap LV when cloning from volume

    Similar to the change made in:
    01a2199 LVM: Activate source LV before cloning from it

    Previous change only fixed this issue for clone-from-snapshot.

    This activates the source snapshot LV when cloning from volume
    as well, fixing the problem where cloning fails due to inability
    to open the source LV device.

    Related-Bug: 1252423
    Closes-Bug: 1260786

    (cherry picked from commit 673057320929d33095c998d477c2537567ccf74b)

    Change-Id: If48be8516fd71738cb83a91683c33d02f227b9d6

tags: added: in-stable-havana
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers